/* Open a new channel; path is the raw channel name, with / and . prefixes
   removed. New channel may be allocated. New client is allocated. fh is
   filled in with the chan:client ID. Returns 0 on success */
int chan_open(const char *path, uint64_t *fh, int rd, int wr, int as_master);

/* Remove chan from the channel list, close all its clients and free all
   memory. Assumes no outstanding operation */
void chan_destroy(channel_t *chan);

/* Unlink and zombifie a channel (called when master closes). Returns 0 if
   channel became zombie, 1 if channel got destroyed */
int chan_unlink(channel_t *chan);


/* Low level: allocate a new channel (but do not add it in any list); useful
   for special channels like _stat */
channel_t *chan_alloc(const char *path);

/* Low level destroy, does not remove from lists (assumes caller has
   already done that) */
void chan_destroy_(channel_t *chan);

